package com.cm.common.wechat.pojo;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatMiniProgramLoginVO
 * @Description: 小程序登录VO
 * @Author: WangGeng
 * @Date: 2020/5/9 18:12
 * @Version: 1.0
 **/
@ApiModel
public class WechatMiniAppLoginVO {

    @ApiModelProperty(name = "jsCode", value = "临时code")
    @CheckEmptyAnnotation(name = "jsCode")
    private String jsCode;

    public String getJsCode() {
        return jsCode == null ? "" : jsCode;
    }

    public void setJsCode(String jsCode) {
        this.jsCode = jsCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"jsCode\":\"")
                .append(jsCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
